[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#511138: marked as done (xterm: regression - no response to keypad PgUp and PgDn)



Your message dated Sat, 10 Jan 2009 19:02:28 +0000
with message-id <E1LLj6K-0001US-Jz@ries.debian.org>
and subject line Bug#511138: fixed in xterm 239-1
has caused the Debian Bug report #511138,
regarding xterm: regression - no response to keypad PgUp and PgDn
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
511138: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511138
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: xterm
Version: 238-2
Severity: normal


Upgrading amd64 from xterm_237-1 to xterm_238-2, the
keypad PgUp and PgDn keys stopped responding.  This
is an ordinary PC keyboard.  The dedicated PageUp and
PageDown keys are still OK.

(fixed font ASCII table)
   key              keycode   xterm_237-1 response
dedicated PageUp        99     <esc>[5~
dedicated PageDown     105     <esc>[6~
keypad PgUp             81     <esc>[5~
keypad PgDn             89     <esc>[6~

where the last two break (no output) on xterm_238-2.
These keys still work fine (9 and 3 respectively) with
the NumLock engaged.

Reverting to xterm_237-1 restores proper behavior.  The
difference is clear and unambiguous, since I can switch
installation easily with dpkg, and start one xterm of
each flavor in the same X server.

The rest of the system is a (nearly) up-to-date sid.

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.7-18         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-3        generic font configuration library
ii  libice6                   2:1.0.4-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20081220-1 shared libraries for terminal hand
ii  libsm6                    2:1.0.3-2      X11 Session Management library
ii  libx11-6                  2:1.1.5-2      X11 client-side library
ii  libxaw7                   2:1.0.4-2      X11 Athena Widget library
ii  libxext6                  2:1.0.4-1      X11 miscellaneous extension librar
ii  libxft2                   2.1.12-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-1      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.3+2+nmu1 X11 utilities
ii  xutils                        1:7.3+18   X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information



--- End Message ---
--- Begin Message ---
Source: xterm
Source-Version: 239-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_239-1.diff.gz
  to pool/main/x/xterm/xterm_239-1.diff.gz
xterm_239-1.dsc
  to pool/main/x/xterm/xterm_239-1.dsc
xterm_239-1_amd64.deb
  to pool/main/x/xterm/xterm_239-1_amd64.deb
xterm_239.orig.tar.gz
  to pool/main/x/xterm/xterm_239.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 511138@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 19:22:31 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 239-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 511138
Changes: 
 xterm (239-1) unstable; urgency=low
 .
   * New upstream release.
     + correct a cast in input.c, which broke translation of numeric keypad
       codes to pageup, pagedown, etc., on 64-bit platform (closes: #511138).
   * debian/copyright: Update Thomas Dickey's copyright notices
Checksums-Sha1: 
 d085f34a1bf46b1794308550d8151a6f04840094 1344 xterm_239-1.dsc
 02a39f280043dd79aed02bf21d5ce2474b8a8a65 862405 xterm_239.orig.tar.gz
 181fd555baeb8f95e8fd40da56e3d806024786b2 64151 xterm_239-1.diff.gz
 cd832b9840e1b39ad1abac607b3d11adfbd79e2b 496618 xterm_239-1_amd64.deb
Checksums-Sha256: 
 375f49b32c4a42dd7d0145d4cb2b7e9e63e341c7f0632c7aa40fc639b175991c 1344 xterm_239-1.dsc
 10407c01022a44b14a5dfe5178045332c9dc80004ffa5cf39a9230875951a5a9 862405 xterm_239.orig.tar.gz
 7f1ef53ee747492004b5b0a75259caef70858c1d33d36d407a675dbe19e40bf4 64151 xterm_239-1.diff.gz
 84ad1f65f9b2aba873e854e90c2bbf66a481eac72b5368c9f56bc0fb7f48a71c 496618 xterm_239-1_amd64.deb
Files: 
 40b125ad3ca4bdf29a774c05e408b2fa 1344 x11 optional xterm_239-1.dsc
 c1cb234bd2e7144cf5894f9fc2cc72ff 862405 x11 optional xterm_239.orig.tar.gz
 94355e047c45471c4c69fd3472d2306e 64151 x11 optional xterm_239-1.diff.gz
 d54a6470eb936f64681cbc68b1c1474e 496618 x11 optional xterm_239-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklo7VUACgkQmEvTgKxfcAwrgACfbr6p9F0o06iFqHjBqyHJd0Yo
ZPcAnRbDnHbpBcsK73cj00p9r7CwWPVZ
=JWRb
-----END PGP SIGNATURE-----



--- End Message ---

Reply to: